/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package com.liferay.user.associated.data.web.internal.constants;

/**
 * @author Pei-Jung Lan
 */
public class UADConstants {

	public static final String ALL_APPLICATIONS = "all-applications";

	public static final String SCOPE_INSTANCE = "instance";

	public static final String SCOPE_PERSONAL_SITE = "personal-site";

	public static final String SCOPE_REGULAR_SITES = "regular-sites";

	/**
	 * Order matters here. These correspond to filter buttons presented in the
	 * UI.
	 *
	 * @review
	 */
	public static final String[] SCOPES = {
		SCOPE_PERSONAL_SITE, SCOPE_REGULAR_SITES, SCOPE_INSTANCE
	};

}